# About
Example demonstrating how one might architect a single page application
Elm app.


# Building
```bash
nix-shell -p elmPackages.elm cargo uglify-js
make serve RELEASE=1 # can also do DEBUG=1 instead
```

Now open `http://127.0.0.1:8080` in your browser.

# TODO

 - [x] Add Makefile
 - [ ] `EventHandlers.onMessage` should inject successfully decoded message into
       Msg type directly...
 - [ ] Run `uglify` twice as per [this link](https://github.com/rtfeldman/elm-spa-example/tree/master?tab=readme-ov-file#production-build)
 - [ ] Frontend should initiate with TimeRequest
 - [ ] JSONify backend code for all send/receive
 - [ ] Backend should only communicate over websocket
 - [ ] Close websocket after 15s of no response(from frontend) to websocket pings
 - [ ] Implement dark mode
 - [ ] Add GPLV3 License
 - [ ] Add `make release` target that is nix ready...
 - [ ] Add `default.nix`
